Bug 382961 - Low screen resolutions not working with radeon mobility 9000
Summary: Low screen resolutions not working with radeon mobility 9000
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati   
(Show other bugs)
Version: 8
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-14 18:00 UTC by Roger Noble
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 6.7.196-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-28 12:06:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (1.13 KB, text/plain)
2007-11-14 18:01 UTC, Roger Noble
no flags Details
xorg log file (45.98 KB, text/plain)
2007-11-14 18:06 UTC, Roger Noble
no flags Details

Description Roger Noble 2007-11-14 18:00:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.8) Gecko/20071030 Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
On my Inspiron 8500 laptop using an ATI radeon mobility 9000 card selecting screen resolutions of 1280x720, 1024x768 or lower results in the LCD panel display breaking up, as if it is failing to sync properly. Resolutions of 1280x768 or higher up to the maximum of 1920x1200 are fine.

This makes it problematical to to switch to a lower resolution for the benefit of driving a data projector.

Reverting to xorg-x11-drv-ati-6.6.3-4 fixes the problem.

The same problem is present when installing Fedora 8 from DVD, the graphical installation mode was unuseable.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.7.195-3

How reproducible:
Always


Steps to Reproduce:
1.Select a display resolution of 1024x768 (by any means)
2.Watch the display fail to sync
3.

Actual Results:


Expected Results:


Additional info:

Comment 1 Roger Noble 2007-11-14 18:01:27 UTC
Created attachment 258491 [details]
xorg.conf

Comment 2 Roger Noble 2007-11-14 18:06:53 UTC
Created attachment 258501 [details]
xorg log file

Comment 3 Roger Noble 2007-11-28 12:06:44 UTC
xorg-x11-drv-ati-6.7.196-1 appears to have fixed this problem.


Note You need to log in before you can comment on or make changes to this bug.